#ifndef SETTINGSTOOLBAR_H
#define SETTINGSTOOLBAR_H

#include <QToolBar>
#include <QSettings>
#include <QMenu>

/**
 * @brief The SettingsToolBar class provides a tool bar to load or save user defined settings for cube files
 */
class SettingsToolBar : public QToolBar
{
    Q_OBJECT
public:
    explicit
    SettingsToolBar();

    void
    cubeOpened( QSettings& settings );

signals:
    void
    saveExperimentSettings( const QString& );
    void
    loadExperimentSettings( const QString& );

private slots:
    void
    settingSelected();
    void
    saveSettings();

private:
    QMenu*  menu;
    QString lastName;
};

#endif // SETTINGSTOOLBAR_H
